# BUILD OPTIONS: 1 for yes, 0 for no
%define enable_static 0
# Debug rpms are a bad idea, the only people using debug
# builds (not symbols, which can be set via cxxflags, but
# full blown ut_debug/pt_test/-DDEBUG/etc) are developers,
# who won't be using rpms for it.
%define enable_debug 0
%define enable_gnome 1
# Perl quite broken for now; unmaintained, unsupported.
%define enable_perl 0
%define enable_jpeg 1
%define enable_expat 0
%define enable_optimize 1
%define enable_pspell 0
%if %{enable_pspell}
 %define build_pspell yes
%else
 %define build_pspell no
%endif

%define AbiSuite AbiSuite-2.2
# Does not appear to be used, at least not everywhere it could be
%define AbiWord AbiWord
%define version_flag ABI_BUILD_VERSION=%{version}
%define ABIPREFIX %{_libdir}/%{AbiWord}-2.2

# PLUGIN OPTIONS: 1 for yes, 0 for no
%define enable_tools 1
%define enable_impexp 1

%define name abiword
%define prefix /usr
%define version 2.2.7
%define release	1
%define verrel %{version}-%{release}

%if %{enable_gnome}
%define gnome --enable-gnome
%else
%define gnome --disable-gnome
%endif

%if %{enable_debug}
%define debug --enable-debug
%else
%define debug --disable-debug
%endif

%if %{enable_tools}
%define plugin_tools --enable-abicommand --enable-abigimp --enable-babelfish --enable-freetranslation --enable-gdict --enable-referee --enable-urldict --enable-wikipedia --enable-shell %{?_with_ots:--enable-ots} %{!?_with_ots:--disable-ots} %{?_with_aiksaurus:--enable-aiksaurus} %{!?_with_aiksaurus:--disable-aiksaurus} %{?_with_gda:--enable-gda} %{!?_with_gda:--disable-gda}
%else
%define plugin_tools --disable-abicommand --disable-abigimp --disable-babelfish --disable-freetranslation --disable-gdict --disable-referee --disable-urldict --disable-wikipedia --disable-shell --disable-ots --disable-aiksaurus --disable-gda
%endif

%if %{enable_impexp}
%define plugin_impexp --enable-gdkpixbuf --enable-bmp --enable-jpeg --enable-wmf --enable-applix --enable-bz2abw --enable-clarisworks --enable-eml --enable-hancom --enable-hrtext --enable-html --enable-iscii-text --enable-kword --enable-latex --enable-mif --enable-mswrite --enable-nroff --enable-pdb --enable-psion --enable-pw --enable-t602 --enable-wml --enable-xhtml --enable-xsl-fo --enable-librsvg --enable-docbook %{?_with_libgsf:--enable-OpenWriter --enable-sdw} %{!?_with_libgsf:--disable-OpenWriter --disable-sdw} %{?_with_libwpd:--enable-wordperfect} %{!?_with_libwpd:--disable-wordperfect} --enable-passepartout
%else
%define plugin_impexp --disable-gdkpixbuf --disable-bmp --disable-jpeg --disable-wmf --disable-applix --disable-bz2abw --disable-clarisworks --disable-docbook --disable-eml --disable-hancom --disable-hrtext --disable-html --disable-iscii-text --disable-kword --disable-latex --disable-mif --disable-mswrite --disable-nroff --disable-pdb --disable-psion --disable-pw --disable-t602 --disable-wml --disable-xhtml --disable-xsl-fo --disable-OpenWriter --disable-sdw --disable-wordperfect --disable-passepartout
%endif


Name: %{name}
Summary: Full-featured, lightweight, multi-platform word processor
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: Applications/Editors
URL: http://www.abisource.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
License: GPL
Prefix: %{prefix}
Packager: "Marc Maurer" <j.m.maurer@student.utwente.nl>
Distribution: Fedora Alternatives 2
# Basic requirements
Requires: gtk2 >= 2.0.0 glib2 >= 2.0.0 /usr/lib/libfribidi.so fontconfig >= 2.0 libtool
BuildRequires: gtk2-devel >= 2.0.0 glib2 >= 2.0.0 fontconfig-devel >= 2.0 /usr/include/fribidi/fribidi.h

# Using Epoch is very bad, but RedHat/Fedora is forcing this matter.
# I'm fed up with complaints from RH/FC users downgrading on upgrade just
# because RH/FC keeps using this fscked Epoch.
Epoch: 1
# FIXME: remove this when they fix their specs.

%if %{enable_jpeg}
Requires: libjpeg
BuildRequires: libjpeg-devel
%endif

%if %{enable_pspell}
%{!?_with_enchant:Requires: pspell >= 0.11.1}
%{!?_with_enchant:BuildRequires: pspell-devel >= 0.11.1}
%endif
%{?_with_enchant:Requires: enchant >= 1.1.0}
%{?_with_enchant:BuildRequires: enchant-devel >= 1.1.0}

%if %{enable_expat}
Requires: expat >= 1.95.1
BuildRequires: expat-devel >= 1.95.1
%else
Requires: libxml2 >= 2.4.2
BuildRequires: libxml2-devel >= 2.4.2
%endif


# Requirements for GNOME build
%if %{enable_gnome}
Requires: libbonobo >= 2.2.0
Requires: libgnomeui >= 2.2.0
Requires: libgnomeprint22 >= 2.2.0
Requires: libgnomeprintui22 >= 2.2.0
BuildRequires: libbonobo-devel >= 2.2.0
BuildRequires: libgnomeui-devel >= 2.2.0
BuildRequires: libgnomeprint22-devel >= 2.2.0
BuildRequires: libgnomeprintui22-devel >= 2.2.0

%description
AbiWord is a multi-platform word processor with a GTK+ interface on the UNIX platform. For extended functionality and integration this version is compiled with GNOME support. Abiword with the GNOME front-end is part of the GNOME Office Suite. AbiWord is made available under the GNU GPL license.

%else
%description
AbiWord is a multi-platform word processor with a GTK+ interface on the UNIX platform. For extended functionality and integration it is also possible to compile AbiWord with GNOME support. Abiword with the GNOME front-end is part of the GNOME Office Suite. AbiWord is made available under the GNU GPL license.
%endif

%package embeddable
Requires: bonobo
Requires: oaf
Requires: abiword
Summary: Files for embedding AbiWord in other bonobo-aware programs.
Group: Development/Libraries

%description embeddable
Files for embedding AbiWord in other bonobo-aware programs.

%if %{enable_perl}
%package perl
Summary: Perl Bindings Module
Group: Development/Libraries
Requires: abiword
Requires: perl >= 5.005
BuildRequires: perl >= 5.005

%description perl
Perl Module containing classes for AbiWord Scripting.
%endif

%if %{enable_tools}
%package plugins-tools
Summary: Various tools that can be used to extend AbiWord's capabilities.
Group: Applications/Productivity
Requires: abiword
%{?_with_aiksaurus:Requires: aiksaurus,aiksaurus-gtk}
%{?_with_aiksaurus:BuildRequires: aiksaurus,aiksaurus-gtk}
%{?_with_ots:Requires: ots}
%{?_with_ots:BuildRequires: ots-devel}
%{?_with_gda:Requires: libgda}
%{?_with_gda:BuildRequires: libgda-devel}


%description plugins-tools
This is a set of plugins for AbiWord.  It includes
        eml: Use mathematical notation in AbiWord.
 abicommand: Perform AbiWord operations from the command prompt.
    abigimp: Process images in AbiWord using the Gimp.
  wikipedia: Access the Wikipedia reference from AbiWord.
    urldict: Cross-platform url dictionary plugin.
      gdict: Use the gnome dictionary application from within AbiWord.
%{?_with_aiksaurus:  aiksaurus: Use the Aiksaurus thesaurus in AbiWord.}
  babelfish: Translate text online using Babelfish.
ScriptHappy: Run other programs in a shell and direct the output to AbiWord.
%{?_with_ots: ots: Summarize documents.}
%{?_with_gda: gda: Enable connectivity with external datasources.}

%endif

%if %{enable_impexp}
%package plugins-impexp
Summary: Plugins to import and export otherwise unsupported formats.
Group: Applications/Productivity
Requires: abiword
BuildRequires: bzip2, librsvg2
BuildRequires: bzip2-devel, librsvg2-devel
%{?_with_libgsf:Requires: libgsf}
%{?_with_libgsf:BuildRequires: libgsf-devel}
%{?_with_libwpd:Requires: libwpd}
%{?_with_libwpd:BuildRequires: libwpd-devel}


%description plugins-impexp
This is a set of plugins for AbiWord.  It includes support for OpenWriter,
bzipped AbiWord, and (x)html document formats.  Additionally, it adds support
for certain image types to AbiWord builds that were not gnome-enabled.
%endif

%package clipart
Summary: AbiWord Clipart
Group: Applications/Productivity
Requires: abiword

%description clipart
This is the clipart portfolio used by AbiWord.

%prep
%__rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}/abi

%build
./autogen.sh
./configure %{gnome} --enable-xft %{debug} \
       --prefix=%{_prefix} --exec-prefix=%{_prefix} \
       %{!?_with_enchant:--with-pspell=%{build_pspell}}

%__make

%if %{enable_tools} || %{enable_impexp}
cd ../abiword-plugins
./nextgen.sh
%configure --prefix=%{_prefix} --disable-eg \
	%{plugin_tools} %{plugin_impexp}

%__make

cd ../abi
%endif

%install
umask 022

%if %{enable_tools} || %{enable_impexp}
cd ../abiword-plugins
%__make DESTDIR=$RPM_BUILD_ROOT install
cd ../abi
%endif

%__make DESTDIR=$RPM_BUILD_ROOT install

# Manual fixes to Abi package
%__ln_s -f %{_bindir}/AbiWord-2.2 $RPM_BUILD_ROOT/%{_bindir}/abiword-2.2

# Creates GNOME menu entries
%__mkdir_p $RPM_BUILD_ROOT/%{_datadir}/icons
%__cp $RPM_BUILD_DIR/%{name}-%{version}/abidistfiles/icons/abiword_48.png $RPM_BUILD_ROOT/%{_datadir}/icons/abiword_48.png
%__mkdir_p $RPM_BUILD_ROOT/%{_prefix}/share/applications/
%__cp $RPM_BUILD_DIR/%{name}-%{version}/abi/abiword.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/abiword.desktop
%__perl -p -i -e "s|Exec=abiword|Exec=abiword-2.2|" $RPM_BUILD_ROOT/%{_datadir}/applications/abiword.desktop
%__cp $RPM_BUILD_DIR/%{name}-%{version}/abi/COPYING $RPM_BUILD_ROOT/%{_datadir}/%{AbiSuite}/COPYING
%__cp $RPM_BUILD_DIR/%{name}-%{version}/abi/README.TXT $RPM_BUILD_ROOT/%{_datadir}/%{AbiSuite}/README
%if %{enable_gnome}
  %__cp $RPM_BUILD_DIR/%{name}-%{version}/abidistfiles/abi-nautilus-view-file.xml $RPM_BUILD_ROOT/%{_datadir}/%{AbiSuite}/
%endif

# Copies oaf files
%__mkdir_p $RPM_BUILD_ROOT/%{_libdir}/bonobo/servers
%__cp $RPM_BUILD_DIR/%{name}-%{version}/abidistfiles/*.server $RPM_BUILD_ROOT/%{_libdir}/bonobo/servers

# Fix for wrong file rights on fonts,icons,clipart
%__chmod 644 $RPM_BUILD_ROOT/%{_datadir}/icons/*
%__chmod 644 $RPM_BUILD_ROOT/%{_datadir}/%{AbiSuite}/clipart/*
%__chmod 644 $RPM_BUILD_ROOT/%{_datadir}/%{AbiSuite}/templates/*

# this files are installed but they've already been copied to a better place
%__rm -f $RPM_BUILD_ROOT/%{_datadir}/%{AbiSuite}/nautilus-abiword-content-view-ui.xml
%__rm -f $RPM_BUILD_ROOT/%{_bindir}/abiword

%__rm -f $RPM_BUILD_ROOT/%{ABIPREFIX}/plugins/*.la
%__rm -f $RPM_BUILD_ROOT/%{ABIPREFIX}/plugins/*.a

%__rm -f $RPM_BUILD_ROOT/%{_datadir}/%{AbiSuite}/AbiWord.exe.MANIFEST

%clean
%__rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files
%defattr(755,root,root,755)
%{_bindir}/*
%{_datadir}/%{AbiSuite}/AbiWord/scripts/*
%defattr(644,root,root,755)
%if %{enable_gnome}
  %{_datadir}/%{AbiSuite}/abi-nautilus-view-file.xml
%endif
%{_datadir}/%{AbiSuite}/COPYING
%{_datadir}/%{AbiSuite}/README
%{_datadir}/%{AbiSuite}/AbiWord/readme.txt
#%{_datadir}/%{AbiSuite}/AbiWord/help/en-US
%{_datadir}/%{AbiSuite}/AbiWord/glade
%{_datadir}/%{AbiSuite}/AbiWord/strings/*
%{_datadir}/%{AbiSuite}/AbiWord/system.profile*
%if !%{enable_pspell}
%{!?_with_enchant:%{_datadir}/%{AbiSuite}/dictionary/*american*.hash*}
%{!?_with_enchant:%{_datadir}/%{AbiSuite}/dictionary/ispell_dictionary_list.xml}
%endif
%{_datadir}/%{AbiSuite}/icons
%{_datadir}/%{AbiSuite}/templates
%{_datadir}/icons/*
%{_datadir}/applications/abiword.desktop


%files embeddable
%defattr(644,root,root,755)
#%{_datadir}/oaf/*
%{_libdir}/bonobo/servers/*
#%{_datadir}/gnome-2.0/ui/*

%if %{enable_tools}
%files plugins-tools
%defattr(644,root,root,755)
# comment if not working
%{ABIPREFIX}/plugins/libAbiCommand.so
%{?_with_aiksaurus:%{ABIPREFIX}/plugins/libAbiAikSaurus.so}
%{ABIPREFIX}/plugins/libAbiBabelfish.so
%{ABIPREFIX}/plugins/libAbiFreeTranslation.so
%{ABIPREFIX}/plugins/libAbiGdict.so
%{ABIPREFIX}/plugins/libAbiGimp.so
%{ABIPREFIX}/plugins/libAbiGoogle.so
%{ABIPREFIX}/plugins/libAbiURLDict.so
%{ABIPREFIX}/plugins/libAbiWikipedia.so
%{?_with_ots:%{ABIPREFIX}/plugins/libAbiOTS.so}
%{?_with_ots:%{ABIPREFIX}/plugins/AbiWord/glade/ots.glade}
%{ABIPREFIX}/plugins/libAbiReferee.so
%{ABIPREFIX}/plugins/libAbiScriptHappy.so
%{ABIPREFIX}/plugins/libAbiCAPI.so
%{ABIPREFIX}/plugins/libAbiDash.so
%{?_with_gda:%{ABIPREFIX}/plugins/libAbiGDA.so}
#%{ABIPREFIX}/plugins/libAbiGypsython.so
%endif

%if %{enable_impexp}
%files plugins-impexp
%defattr(644,root,root,755)
%{ABIPREFIX}/plugins/libAbiApplix.so
%{ABIPREFIX}/plugins/libAbiBMP.so
%{ABIPREFIX}/plugins/libAbiBZ2.so
%{ABIPREFIX}/plugins/libAbiClarisWorks.so
%{ABIPREFIX}/plugins/libAbiDocBook.so
%{ABIPREFIX}/plugins/libAbiEML.so
%{ABIPREFIX}/plugins/libAbiHancom.so
%{ABIPREFIX}/plugins/libAbiHRText.so
%{?_with_libwpd:%{ABIPREFIX}/plugins/libAbiWordPerfect.so}
%{ABIPREFIX}/plugins/libAbiISCII.so
%{ABIPREFIX}/plugins/libAbiJPEG.so
%{ABIPREFIX}/plugins/libAbiKWord.so
%{ABIPREFIX}/plugins/libAbiLaTeX.so
%{ABIPREFIX}/plugins/libAbiMIF.so
%{ABIPREFIX}/plugins/libAbiMSWrite.so
%{ABIPREFIX}/plugins/libAbiNroff.so
%{?_with_libgsf:%{ABIPREFIX}/plugins/libAbiOpenWriter.so}
#%{ABIPREFIX}/plugins/libAbiPW.so
%{ABIPREFIX}/plugins/libAbiPalmDoc.so
%{ABIPREFIX}/plugins/libAbiPassepartout.so
%{ABIPREFIX}/plugins/libAbiRSVG.so
%{?_with_libgsf:%{ABIPREFIX}/plugins/libAbiSDW.so}
%{ABIPREFIX}/plugins/libAbiT602.so
%{ABIPREFIX}/plugins/libAbiWML.so
%{ABIPREFIX}/plugins/libAbiXHTML.so
%{ABIPREFIX}/plugins/libAbiXSLFO.so
%endif

%files clipart
%defattr(644,root,root,755)
%{_datadir}/%{AbiSuite}/clipart

%changelog
* Fri Aug 06 2004 Mark Gilbert <invalidmail@nonhost.net>
- Fix various stuff, cleanup, sync with rui, sync with fedora.

* Wed Apr 16 2003 Rui M. Seabra <rms@1407.org>
- Remove unecessary comments

* Fri Feb 28 2003 Rui M. Seabra <rms@1407.org>
- adapt to new installation changes

* Fri Feb 21 2003 Rui M. Seabra <rms@1407.org>
- ... a lot of things I forgot to put in here
- adapt to new installation changes

* Sun Oct 20 2002 Rui M. Seabra <rms@1407.org>
- Use pspell conditionally
- Include some more files that were missing
- Make abiword be a link to abiword-2.0 if there isn't an older installation
  of abiword on the same bindir

* Tue Oct 16 2002 Rui M. Seabra <rms@1407.org>
- oops! Change && to || or you will not get the other type of plugins
  if you disable one type

* Sun Oct 13 2002 Rui M. Seabra <rms@1407.org>
- If both import and export plugins are disabled, don't run configure
  or make any plugins

* Sun Sep 29 2002 Rui M. Seabra <rms@1407.org>
- Whole lotta changes due to the -2.0 change for launching betas

* Fri Sep 5 2002 Marc Maurer <j.m.maurer@student.utwente.nl>
- Only generate the embeddable package when GNOME is enabled

* Fri Aug 23 2002 Rui M. Silva Seabra <rms@1407.org>
- Make spec compile abiword for gtk2.

* Fri Jun 14 2002 Rui M. Silva Seabra <rms@1407.org>
- Make rpm set better permissions on files AND dirs

* Thu Jun 13 2002 Rui M. Silva Seabra <rms@1407.org>
- Make rpm spec work again.
- Include all plugins that seem to build
- fix package embeddable (wasn't created)
  
* Sun Jun  9 2002 Mark Gilbert <webmaster@dofty.zzn.com>
                  Rui M. Silva Seabra <rms@1407.org>
- Pretty much a total rewrite of the way plugins are handled.
  
* Wed May 14 2002 J.M. Maurer <j.m.maurer@student.utwente.nl>
- Require libxml2 instead of libxml for the XML build

* Sat Apr  6 2002 Joaqun Cuenca Abela <cuenca@ie2.u-psud.fr>
                  Rui M. Silva Seabra <rms@1407.org>
- Add %post fonts and %postun fonts to use (if found) redhat's chkfontpath
  program to add abiword's font path on install and remove it on uninstall

* Sun Mar 31 2002 Rui M. Silva Seabra <rms@1407.org>
- Partially solve bug http://bugzilla.abisource.com/show_bug.cgi?id=1938
  Added postun to remove the symlink

* Thu Mar 28 2002 Rui M. Silva Seabra <rms@1407.org>
- Solved bug http://bugzilla.abisource.com/show_bug.cgi?id=1938
  fonts.dir and fonts.scale will no longer be replaced.

* Mon Mar 25 2002 Rui M. Silva Seabra <rms@1407.org>
- Removed ispell dictionaries to rpm spec too much clutter and one too many
  sad voices

* Thu Mar 17 2002 Francis James Franklin <fjf@alinameridon.com>
- Added festvox, abigimp & shell importer plugin to list

* Thu Mar 14 2002 Rui M. Silva Seabra <rms@1407.org>
- Added ispell dictionaries to rpm spec
- fix permissions and owners

* Thu Feb 21 2002 Francis James Franklin <fjf@alinameridon.com>
- Added HTML importer plugin to list

* Thu Dec 27 2001 Rui M. Silva Seabra <rms@multicert.com>
- Simplified spec's ifs, gdkpixbuf plugin is installed by default in gnome build

* Sun Dec  9 2001 Rui M. Silva Seabra <rms@multicert.com>
- The spec now compiles plugins (for the time being, this is not an option)

* Sat Nov 24 2001 Rui M. Silva Seabra <rms@multicert.com>
- Made some minor corrections

* Sat Nov 24 2001 Francis James Franklin <fjf@alinameridon.com>
- Made spec ready to be included in tree

* Sat Nov 3 2001 Rui M. Silva Seabra <rms@multicert.com>
- Seperated the help packages.

* Fri Oct 26 2001 Rui M. Silva Seabra <rms@multicert.com>
- Tweaked spec to make gtk build not include gnome files.
- Increase requirements details.
- Start preparations for _real_ perl enabled builds.

* Wed Oct 24 2001 Rui M. Silva Seabra <rms@multicert.com>
- Separated fonts and clipart into sub packages.

* Tue Oct 23 2001 Rui M. Silva Seabra <rms@multicert.com>
- Applied Michele Baldessari <baldessari@tiscalinet.it> 's patch to correct
  some bugs.

* Mon Sep 10 2001 Rui M. Silva Seabra <rms@multicert.com>
- Unified Gtk+/Gnome rpm specs into The One Spec

* Thu Jun 28 2001 Martin Sevior
- tweaked stuff for 0.90 
- all ispell dictionaries found are installed

* Sun Dec 9 2000 Christian Schaller <Uraeus@linuxrising.org>
- Updates for RedHat 6.2
- Updated for AbiWord 0.7.12
- Major rewrite of compilation and files part of SPEC file

* Sat May 20 2000 Christian Schaller <Uraeus@linuxrising.org>
- Updated to version 0.7.9
- Changed icon from xpm to png
- Made sure Icon had correct rights

* Wed Mar 1 2000 Christian Schaller <Uraeus@linuxrising.org>
- Updated for TurboLinux 6.0
- Updated to 0.7.8
- Updated for Gnome-enablement
- Minor SPEC file changes

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com>
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca>
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
